be.fgov.ehealth.standards.kmehr.id.v1

## Enum IDHCPARTYschemes

- java.lang.Object
- - java.lang.Enum<IDHCPARTYschemes>
  - - be.fgov.ehealth.standards.kmehr.id.v1.IDHCPARTYschemes

- All Implemented Interfaces:
    Serializable, Comparable<IDHCPARTYschemes>

      public enum IDHCPARTYschemes
      extends Enum<IDHCPARTYschemes>

  Java class for ID-HCPARTYschemes.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="ID-HCPARTYschemes">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="ID-HCPARTY"/>
           <enumeration value="INSS"/>
           <enumeration value="LOCAL"/>
           <enumeration value="ID-ENCRYPTION-APPLICATION"/>
           <enumeration value="ID-ENCRYPTION-ACTOR"/>
           <enumeration value="ID-ENCRYPTION-KEY"/>
           <enumeration value="ID-INSURANCE"/>
           <enumeration value="ID-CBE"/>
           <enumeration value="ID-EHP"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ID_CBE`
    `ID_EHP`
    `ID_ENCRYPTION_ACTOR`
    `ID_ENCRYPTION_APPLICATION`
    `ID_ENCRYPTION_KEY`
    `ID_HCPARTY`
    `ID_INSURANCE`
    `INSS`
    `LOCAL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IDHCPARTYschemes` | `fromValue(String v)`
    `String` | `value()`
    `static IDHCPARTYschemes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IDHCPARTYschemes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ID_HCPARTY

          public static final IDHCPARTYschemes ID_HCPARTY

    - #### INSS

          public static final IDHCPARTYschemes INSS

    - #### LOCAL

          public static final IDHCPARTYschemes LOCAL

    - #### ID_ENCRYPTION_APPLICATION

          public static final IDHCPARTYschemes ID_ENCRYPTION_APPLICATION

    - #### ID_ENCRYPTION_ACTOR

          public static final IDHCPARTYschemes ID_ENCRYPTION_ACTOR

    - #### ID_ENCRYPTION_KEY

          public static final IDHCPARTYschemes ID_ENCRYPTION_KEY

    - #### ID_INSURANCE

          public static final IDHCPARTYschemes ID_INSURANCE

    - #### ID_CBE

          public static final IDHCPARTYschemes ID_CBE

    - #### ID_EHP

          public static final IDHCPARTYschemes ID_EHP

  - ### Method Detail

    - #### values

          public static IDHCPARTYschemes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IDHCPARTYschemes c : IDHCPARTYschemes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IDHCPARTYschemes valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static IDHCPARTYschemes fromValue(String v)

Connector Packaging PERSPRACTICALNURSE 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.